Skip to main content
POST
/
v1
/
crm
/
merchants
/
{merchantId}
/
principals
Add a Merchant Principal
curl --request POST \
  --url https://api.example.com/v1/crm/merchants/{merchantId}/principals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "role": "<string>",
  "percentOwnership": 123,
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "jsmith@example.com",
  "phoneNumber": "<string>",
  "dob": "<string>",
  "ssn": "<string>",
  "addressLabel": "<string>",
  "addressLine1": "<string>",
  "addressLine2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "country": "<string>",
  "bankruptcy": true,
  "isManagingDirector": true,
  "identificationId": "<string>",
  "identificationIssueDate": "<string>",
  "identificationExpiryDate": "<string>",
  "identificationIssuingState": "<string>",
  "identificationIssuingCountry": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "role": "<string>",
  "percentOwnership": 123,
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "jsmith@example.com",
  "phoneNumber": "<string>",
  "dob": "<string>",
  "ssn": "<string>",
  "hashedSsn": "<string>",
  "addressLabel": "<string>",
  "addressLine1": "<string>",
  "addressLine2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "country": "<string>",
  "bankruptcy": true,
  "isManagingDirector": true,
  "identificationId": "<string>",
  "identificationIssueDate": "<string>",
  "identificationExpiryDate": "<string>",
  "identificationIssuingState": "<string>",
  "identificationIssuingCountry": "<string>"
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

merchantId
string
required

Body

application/json
title
string | null
Maximum string length: 80
role
string | null
Maximum string length: 50
percentOwnership
number | null
firstName
string | null
Maximum string length: 80
lastName
string | null
Maximum string length: 80
email
string<email> | null
Maximum string length: 256
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
phoneNumber
string | null
Maximum string length: 32
dob
string | null
ssn
string | null
addressLabel
string | null
Maximum string length: 80
addressLine1
string | null
Maximum string length: 100
addressLine2
string | null
Maximum string length: 50
city
string | null
Maximum string length: 50
state
string | null
Maximum string length: 2
zip
string | null
Maximum string length: 10
country
string | null
Maximum string length: 2
validationStatus
enum<string> | null
Available options:
not_validated,
validated,
invalid
bankruptcy
boolean | null
isManagingDirector
boolean | null
identificationType
enum<string> | null
Available options:
driving_license,
driving_permit,
id_card,
passport
identificationId
string | null
Maximum string length: 25
identificationIssueDate
string | null
identificationExpiryDate
string | null
identificationIssuingState
string | null
Maximum string length: 2
identificationIssuingCountry
string | null
Maximum string length: 2

Response

The created principal for the merchant.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
clientId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
title
string | null
Maximum string length: 80
role
string | null
Maximum string length: 50
percentOwnership
number | null
firstName
string | null
Maximum string length: 80
lastName
string | null
Maximum string length: 80
email
string<email> | null
Maximum string length: 256
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
phoneNumber
string | null
Maximum string length: 32
dob
string | null
ssn
string | null
hashedSsn
string | null
addressLabel
string | null
Maximum string length: 80
addressLine1
string | null
Maximum string length: 100
addressLine2
string | null
Maximum string length: 50
city
string | null
Maximum string length: 50
state
string | null
Maximum string length: 2
zip
string | null
Maximum string length: 10
country
string | null
Maximum string length: 2
validationStatus
enum<string> | null
Available options:
not_validated,
validated,
invalid
bankruptcy
boolean | null
isManagingDirector
boolean | null
identificationType
enum<string> | null
Available options:
driving_license,
driving_permit,
id_card,
passport
identificationId
string | null
Maximum string length: 25
identificationIssueDate
string | null
identificationExpiryDate
string | null
identificationIssuingState
string | null
Maximum string length: 2
identificationIssuingCountry
string | null
Maximum string length: 2